diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/functions.wp-scripts.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/functions.wp-scripts.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/functions.wp-scripts.php	2012-08-30 13:57:57.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/functions.wp-scripts.php	2013-03-11 04:39:55.000000000 -0500
***************
*** 27,33 ****
  	if ( ! is_a( $wp_scripts, 'WP_Scripts' ) ) {
  		if ( ! did_action( 'init' ) )
  			_doing_it_wrong( __FUNCTION__, sprintf( __( 'Scripts and styles should not be registered or enqueued until the %1$s, %2$s, or %3$s hooks.' ),
! 				'<code>wp_enqueue_scripts</code>', '<code>admin_enqueue_scripts</code>', '<code>init</code>' ), '3.3' );
  
  		if ( !$handles )
  			return array(); // No need to instantiate if nothing is there.
--- 27,33 ----
  	if ( ! is_a( $wp_scripts, 'WP_Scripts' ) ) {
  		if ( ! did_action( 'init' ) )
  			_doing_it_wrong( __FUNCTION__, sprintf( __( 'Scripts and styles should not be registered or enqueued until the %1$s, %2$s, or %3$s hooks.' ),
! 				'<code>wp_enqueue_scripts</code>', '<code>admin_enqueue_scripts</code>', '<code>login_enqueue_scripts</code>' ), '3.3' );
  
  		if ( !$handles )
  			return array(); // No need to instantiate if nothing is there.
***************
*** 54,60 ****
  	if ( ! is_a( $wp_scripts, 'WP_Scripts' ) ) {
  		if ( ! did_action( 'init' ) )
  			_doing_it_wrong( __FUNCTION__, sprintf( __( 'Scripts and styles should not be registered or enqueued until the %1$s, %2$s, or %3$s hooks.' ),
! 				'<code>wp_enqueue_scripts</code>', '<code>admin_enqueue_scripts</code>', '<code>init</code>' ), '3.3' );
  		$wp_scripts = new WP_Scripts();
  	}
  
--- 54,60 ----
  	if ( ! is_a( $wp_scripts, 'WP_Scripts' ) ) {
  		if ( ! did_action( 'init' ) )
  			_doing_it_wrong( __FUNCTION__, sprintf( __( 'Scripts and styles should not be registered or enqueued until the %1$s, %2$s, or %3$s hooks.' ),
! 				'<code>wp_enqueue_scripts</code>', '<code>admin_enqueue_scripts</code>', '<code>login_enqueue_scripts</code>' ), '3.3' );
  		$wp_scripts = new WP_Scripts();
  	}
  
***************
*** 66,72 ****
  /**
   * Wrapper for $wp_scripts->localize().
   *
!  * Used to localizes a script.
   * Works only if the script has already been added.
   * Accepts an associative array $l10n and creates JS object:
   * "$object_name" = {
--- 66,72 ----
  /**
   * Wrapper for $wp_scripts->localize().
   *
!  * Used to localize a script.
   * Works only if the script has already been added.
   * Accepts an associative array $l10n and creates JS object:
   * "$object_name" = {
***************
*** 88,94 ****
  	if ( ! is_a( $wp_scripts, 'WP_Scripts' ) ) {
  		if ( ! did_action( 'init' ) )
  			_doing_it_wrong( __FUNCTION__, sprintf( __( 'Scripts and styles should not be registered or enqueued until the %1$s, %2$s, or %3$s hooks.' ),
! 				'<code>wp_enqueue_scripts</code>', '<code>admin_enqueue_scripts</code>', '<code>init</code>' ), '3.3' );
  
  		return false;
  	}
--- 88,94 ----
  	if ( ! is_a( $wp_scripts, 'WP_Scripts' ) ) {
  		if ( ! did_action( 'init' ) )
  			_doing_it_wrong( __FUNCTION__, sprintf( __( 'Scripts and styles should not be registered or enqueued until the %1$s, %2$s, or %3$s hooks.' ),
! 				'<code>wp_enqueue_scripts</code>', '<code>admin_enqueue_scripts</code>', '<code>login_enqueue_scripts</code>' ), '3.3' );
  
  		return false;
  	}
***************
*** 107,116 ****
  	if ( ! is_a( $wp_scripts, 'WP_Scripts' ) ) {
  		if ( ! did_action( 'init' ) )
  			_doing_it_wrong( __FUNCTION__, sprintf( __( 'Scripts and styles should not be registered or enqueued until the %1$s, %2$s, or %3$s hooks.' ),
! 				'<code>wp_enqueue_scripts</code>', '<code>admin_enqueue_scripts</code>', '<code>init</code>' ), '3.3' );
  		$wp_scripts = new WP_Scripts();
  	}
  
  	$wp_scripts->remove( $handle );
  }
  
--- 107,136 ----
  	if ( ! is_a( $wp_scripts, 'WP_Scripts' ) ) {
  		if ( ! did_action( 'init' ) )
  			_doing_it_wrong( __FUNCTION__, sprintf( __( 'Scripts and styles should not be registered or enqueued until the %1$s, %2$s, or %3$s hooks.' ),
! 				'<code>wp_enqueue_scripts</code>', '<code>admin_enqueue_scripts</code>', '<code>login_enqueue_scripts</code>' ), '3.3' );
  		$wp_scripts = new WP_Scripts();
  	}
  
+ 	// Do not allow accidental or negligent deregistering of critical scripts in the admin. Show minimal remorse if the correct hook is used.
+ 	if ( is_admin() && 'admin_enqueue_scripts' !== current_filter() ) {
+ 		$no = array(
+ 			'jquery', 'jquery-core', 'jquery-migrate', 'jquery-ui-core', 'jquery-ui-accordion',
+ 			'jquery-ui-autocomplete', 'jquery-ui-button', 'jquery-ui-datepicker', 'jquery-ui-dialog',
+ 			'jquery-ui-draggable', 'jquery-ui-droppable', 'jquery-ui-menu', 'jquery-ui-mouse',
+ 			'jquery-ui-position', 'jquery-ui-progressbar', 'jquery-ui-resizable', 'jquery-ui-selectable',
+ 			'jquery-ui-slider', 'jquery-ui-sortable', 'jquery-ui-spinner', 'jquery-ui-tabs',
+ 			'jquery-ui-tooltip', 'jquery-ui-widget',
+ 			'underscore', 'backbone',
+ 		);
+ 
+ 		if ( in_array( $handle, $no ) ) {
+ 			$message = sprintf( __( 'Do not deregister the %1$s script in the administration area. To target the frontend theme, use the %2$s hook.' ),
+ 				"<code>$handle</code>", '<code>wp_enqueue_scripts</code>' );
+ 			_doing_it_wrong( __FUNCTION__, $message, '3.6' );
+ 			return;
+ 		}
+ 	}
+ 
  	$wp_scripts->remove( $handle );
  }
  
***************
*** 127,133 ****
  	if ( ! is_a( $wp_scripts, 'WP_Scripts' ) ) {
  		if ( ! did_action( 'init' ) )
  			_doing_it_wrong( __FUNCTION__, sprintf( __( 'Scripts and styles should not be registered or enqueued until the %1$s, %2$s, or %3$s hooks.' ),
! 				'<code>wp_enqueue_scripts</code>', '<code>admin_enqueue_scripts</code>', '<code>init</code>' ), '3.3' );
  		$wp_scripts = new WP_Scripts();
  	}
  
--- 147,153 ----
  	if ( ! is_a( $wp_scripts, 'WP_Scripts' ) ) {
  		if ( ! did_action( 'init' ) )
  			_doing_it_wrong( __FUNCTION__, sprintf( __( 'Scripts and styles should not be registered or enqueued until the %1$s, %2$s, or %3$s hooks.' ),
! 				'<code>wp_enqueue_scripts</code>', '<code>admin_enqueue_scripts</code>', '<code>login_enqueue_scripts</code>' ), '3.3' );
  		$wp_scripts = new WP_Scripts();
  	}
  
***************
*** 151,157 ****
  	if ( ! is_a( $wp_scripts, 'WP_Scripts' ) ) {
  		if ( ! did_action( 'init' ) )
  			_doing_it_wrong( __FUNCTION__, sprintf( __( 'Scripts and styles should not be registered or enqueued until the %1$s, %2$s, or %3$s hooks.' ),
! 				'<code>wp_enqueue_scripts</code>', '<code>admin_enqueue_scripts</code>', '<code>init</code>' ), '3.3' );
  		$wp_scripts = new WP_Scripts();
  	}
  
--- 171,177 ----
  	if ( ! is_a( $wp_scripts, 'WP_Scripts' ) ) {
  		if ( ! did_action( 'init' ) )
  			_doing_it_wrong( __FUNCTION__, sprintf( __( 'Scripts and styles should not be registered or enqueued until the %1$s, %2$s, or %3$s hooks.' ),
! 				'<code>wp_enqueue_scripts</code>', '<code>admin_enqueue_scripts</code>', '<code>login_enqueue_scripts</code>' ), '3.3' );
  		$wp_scripts = new WP_Scripts();
  	}
  
***************
*** 177,183 ****
  	if ( ! is_a( $wp_scripts, 'WP_Scripts' ) ) {
  		if ( ! did_action( 'init' ) )
  			_doing_it_wrong( __FUNCTION__, sprintf( __( 'Scripts and styles should not be registered or enqueued until the %1$s, %2$s, or %3$s hooks.' ),
! 				'<code>wp_enqueue_scripts</code>', '<code>admin_enqueue_scripts</code>', '<code>init</code>' ), '3.3' );
  		$wp_scripts = new WP_Scripts();
  	}
  
--- 197,203 ----
  	if ( ! is_a( $wp_scripts, 'WP_Scripts' ) ) {
  		if ( ! did_action( 'init' ) )
  			_doing_it_wrong( __FUNCTION__, sprintf( __( 'Scripts and styles should not be registered or enqueued until the %1$s, %2$s, or %3$s hooks.' ),
! 				'<code>wp_enqueue_scripts</code>', '<code>admin_enqueue_scripts</code>', '<code>login_enqueue_scripts</code>' ), '3.3' );
  		$wp_scripts = new WP_Scripts();
  	}
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/functions.wp-styles.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/functions.wp-styles.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/functions.wp-styles.php	2012-08-30 13:57:57.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-includes/functions.wp-styles.php	2013-07-18 14:46:38.000000000 -0500
***************
*** 28,34 ****
  	if ( ! is_a( $wp_styles, 'WP_Styles' ) ) {
  		if ( ! did_action( 'init' ) )
  			_doing_it_wrong( __FUNCTION__, sprintf( __( 'Scripts and styles should not be registered or enqueued until the %1$s, %2$s, or %3$s hooks.' ),
! 				'<code>wp_enqueue_scripts</code>', '<code>admin_enqueue_scripts</code>', '<code>init</code>' ), '3.3' );
  
  		if ( !$handles )
  			return array(); // No need to instantiate if nothing is there.
--- 28,34 ----
  	if ( ! is_a( $wp_styles, 'WP_Styles' ) ) {
  		if ( ! did_action( 'init' ) )
  			_doing_it_wrong( __FUNCTION__, sprintf( __( 'Scripts and styles should not be registered or enqueued until the %1$s, %2$s, or %3$s hooks.' ),
! 				'<code>wp_enqueue_scripts</code>', '<code>admin_enqueue_scripts</code>', '<code>login_enqueue_scripts</code>' ), '3.3' );
  
  		if ( !$handles )
  			return array(); // No need to instantiate if nothing is there.
***************
*** 55,61 ****
  	if ( ! is_a( $wp_styles, 'WP_Styles' ) ) {
  		if ( ! did_action( 'init' ) )
  			_doing_it_wrong( __FUNCTION__, sprintf( __( 'Scripts and styles should not be registered or enqueued until the %1$s, %2$s, or %3$s hooks.' ),
! 				'<code>wp_enqueue_scripts</code>', '<code>admin_enqueue_scripts</code>', '<code>init</code>' ), '3.3' );
  		$wp_styles = new WP_Styles();
  	}
  
--- 55,61 ----
  	if ( ! is_a( $wp_styles, 'WP_Styles' ) ) {
  		if ( ! did_action( 'init' ) )
  			_doing_it_wrong( __FUNCTION__, sprintf( __( 'Scripts and styles should not be registered or enqueued until the %1$s, %2$s, or %3$s hooks.' ),
! 				'<code>wp_enqueue_scripts</code>', '<code>admin_enqueue_scripts</code>', '<code>login_enqueue_scripts</code>' ), '3.3' );
  		$wp_styles = new WP_Styles();
  	}
  
***************
*** 83,89 ****
  	if ( ! is_a( $wp_styles, 'WP_Styles' ) ) {
  		if ( ! did_action( 'init' ) )
  			_doing_it_wrong( __FUNCTION__, sprintf( __( 'Scripts and styles should not be registered or enqueued until the %1$s, %2$s, or %3$s hooks.' ),
! 				'<code>wp_enqueue_scripts</code>', '<code>admin_enqueue_scripts</code>', '<code>init</code>' ), '3.3' );
  		$wp_styles = new WP_Styles();
  	}
  
--- 83,89 ----
  	if ( ! is_a( $wp_styles, 'WP_Styles' ) ) {
  		if ( ! did_action( 'init' ) )
  			_doing_it_wrong( __FUNCTION__, sprintf( __( 'Scripts and styles should not be registered or enqueued until the %1$s, %2$s, or %3$s hooks.' ),
! 				'<code>wp_enqueue_scripts</code>', '<code>admin_enqueue_scripts</code>', '<code>login_enqueue_scripts</code>' ), '3.3' );
  		$wp_styles = new WP_Styles();
  	}
  
***************
*** 104,110 ****
  	if ( ! is_a( $wp_styles, 'WP_Styles' ) ) {
  		if ( ! did_action( 'init' ) )
  			_doing_it_wrong( __FUNCTION__, sprintf( __( 'Scripts and styles should not be registered or enqueued until the %1$s, %2$s, or %3$s hooks.' ),
! 				'<code>wp_enqueue_scripts</code>', '<code>admin_enqueue_scripts</code>', '<code>init</code>' ), '3.3' );
  		$wp_styles = new WP_Styles();
  	}
  
--- 104,110 ----
  	if ( ! is_a( $wp_styles, 'WP_Styles' ) ) {
  		if ( ! did_action( 'init' ) )
  			_doing_it_wrong( __FUNCTION__, sprintf( __( 'Scripts and styles should not be registered or enqueued until the %1$s, %2$s, or %3$s hooks.' ),
! 				'<code>wp_enqueue_scripts</code>', '<code>admin_enqueue_scripts</code>', '<code>login_enqueue_scripts</code>' ), '3.3' );
  		$wp_styles = new WP_Styles();
  	}
  
***************
*** 135,141 ****
  	if ( ! is_a( $wp_styles, 'WP_Styles' ) ) {
  		if ( ! did_action( 'init' ) )
  			_doing_it_wrong( __FUNCTION__, sprintf( __( 'Scripts and styles should not be registered or enqueued until the %1$s, %2$s, or %3$s hooks.' ),
! 				'<code>wp_enqueue_scripts</code>', '<code>admin_enqueue_scripts</code>', '<code>init</code>' ), '3.3' );
  		$wp_styles = new WP_Styles();
  	}
  
--- 135,141 ----
  	if ( ! is_a( $wp_styles, 'WP_Styles' ) ) {
  		if ( ! did_action( 'init' ) )
  			_doing_it_wrong( __FUNCTION__, sprintf( __( 'Scripts and styles should not be registered or enqueued until the %1$s, %2$s, or %3$s hooks.' ),
! 				'<code>wp_enqueue_scripts</code>', '<code>admin_enqueue_scripts</code>', '<code>login_enqueue_scripts</code>' ), '3.3' );
  		$wp_styles = new WP_Styles();
  	}
  
***************
*** 157,163 ****
  	if ( ! is_a( $wp_styles, 'WP_Styles' ) ) {
  		if ( ! did_action( 'init' ) )
  			_doing_it_wrong( __FUNCTION__, sprintf( __( 'Scripts and styles should not be registered or enqueued until the %1$s, %2$s, or %3$s hooks.' ),
! 				'<code>wp_enqueue_scripts</code>', '<code>admin_enqueue_scripts</code>', '<code>init</code>' ), '3.3' );
  		$wp_styles = new WP_Styles();
  	}
  
--- 157,163 ----
  	if ( ! is_a( $wp_styles, 'WP_Styles' ) ) {
  		if ( ! did_action( 'init' ) )
  			_doing_it_wrong( __FUNCTION__, sprintf( __( 'Scripts and styles should not be registered or enqueued until the %1$s, %2$s, or %3$s hooks.' ),
! 				'<code>wp_enqueue_scripts</code>', '<code>admin_enqueue_scripts</code>', '<code>login_enqueue_scripts</code>' ), '3.3' );
  		$wp_styles = new WP_Styles();
  	}
  
***************
*** 184,192 ****
  	if ( ! is_a( $wp_styles, 'WP_Styles' ) ) {
  		if ( ! did_action( 'init' ) )
  			_doing_it_wrong( __FUNCTION__, sprintf( __( 'Scripts and styles should not be registered or enqueued until the %1$s, %2$s, or %3$s hooks.' ),
! 				'<code>wp_enqueue_scripts</code>', '<code>admin_enqueue_scripts</code>', '<code>init</code>' ), '3.3' );
  		$wp_styles = new WP_Styles();
  	}
  
  	return (bool) $wp_styles->query( $handle, $list );
  }
--- 184,218 ----
  	if ( ! is_a( $wp_styles, 'WP_Styles' ) ) {
  		if ( ! did_action( 'init' ) )
  			_doing_it_wrong( __FUNCTION__, sprintf( __( 'Scripts and styles should not be registered or enqueued until the %1$s, %2$s, or %3$s hooks.' ),
! 				'<code>wp_enqueue_scripts</code>', '<code>admin_enqueue_scripts</code>', '<code>login_enqueue_scripts</code>' ), '3.3' );
  		$wp_styles = new WP_Styles();
  	}
  
  	return (bool) $wp_styles->query( $handle, $list );
  }
+ 
+ /**
+  * Add metadata to CSS style files.
+  *
+  * Works only if the stylesheet has already been added.
+  * Possible values for $key and $value:
+  *
+  * conditional string      comments for IE 6, lte IE 7 etc.
+  * rtl         bool|string to declare an RTL stylesheet
+  * suffix      string      optional suffix, used in combination with RTL
+  * alt         bool        for rel="alternate stylesheet"
+  * title       string      for preferred/alternate stylesheets
+  *
+  * @since 3.6.0
+  * @see WP_Dependencies::add_data()
+  *
+  * @param string $handle Script name.
+  * @param string $key Name of data point for which we're storing a value.
+  *  Values are 'conditional', 'rtl', and 'suffix', and 'alt', 'title'.
+  * @param mixed $data
+  * @return bool True on success, false on failure.
+  */
+ function wp_style_add_data( $handle, $key, $value ) {
+ 	global $wp_styles;
+ 	return $wp_styles->add_data( $handle, $key, $value );
+ }
